Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Functions
level.h File Reference

## Classes
class | Level
| Defines the minimum set of levels recognized by the system, that is `OFF`, `FATAL`, `ERROR`, `WARN`, `INFO`, `DEBUG` and `ALL`. More...
class | Level::LevelClass

## Namespaces
| log4cxx

## Macros
#define | DECLARE_LOG4CXX_LEVEL(level)
#define | IMPLEMENT_LOG4CXX_LEVEL(level) IMPLEMENT_LOG4CXX_OBJECT_WITH_CUSTOM_CLASS(level, Class##level)

## Functions
| LOG4CXX_PTR_DEF (Level)
| smart pointer to a Level instance More...

## Macro Definition Documentation

#define DECLARE_LOG4CXX_LEVEL | ( |  | level | ) |

Value:
public:\
class Class##level : public Level::LevelClass\
{\
public:\
Class##level() : Level::LevelClass() {}\
virtual LogString getName() const { return LOG4CXX_STR(#level); } \
virtual LevelPtr toLevel(const LogString& sArg) const\
{ return level::toLevelLS(sArg); }\
virtual LevelPtr toLevel(int val) const\
{ return level::toLevel(val); }\
};\
DECLARE_LOG4CXX_OBJECT_WITH_CUSTOM_CLASS(level, Class##level)
log4cxx::LogString
std::basic_string< logchar > LogString
Definition: logstring.h:68
DECLARE_LOG4CXX_OBJECT_WITH_CUSTOM_CLASS
#define DECLARE_LOG4CXX_OBJECT_WITH_CUSTOM_CLASS(object, class)
Definition: object.h:57
log4cxx::LevelPtr
helpers::ObjectPtrT< Level > LevelPtr
Definition: optionconverter.h:27

#define IMPLEMENT_LOG4CXX_LEVEL | ( |  | level | ) | IMPLEMENT_LOG4CXX_OBJECT_WITH_CUSTOM_CLASS(level, Class##level)